# AndroidSQLStandardVersionsRepoProxy

class AndroidSQLStandardVersionsRepoProxy (val database: SQLiteOpenHelper ) : StandardVersionsRepoProxy < SQLiteOpenHelper > (source)

## Constructors

AndroidSQLStandardVersionsRepoProxy
Link copied to clipboard
constructor(database: SQLiteOpenHelper )

## Properties

database
Link copied to clipboard
open override val database : SQLiteOpenHelper

The underlying database or storage object used for version tracking.

## Functions

getTableVersion
Link copied to clipboard
open suspend override fun getTableVersion (tableName: String ): Int ?

Returns the current version number for the given tableName, or null if no version is stored.

updateTableVersion
Link copied to clipboard
open suspend override fun updateTableVersion (tableName: String , version: Int )

Persists the given version number for the given tableName.